%define upstream_name    Spork
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Slide Presentations (Only Really Kwiki)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
# Some bugs were fixed with IO::All in recent versions, that prevent building
# this package.
BuildRequires: perl(IO::All) >= 0.540.0
BuildRequires: perl(Kwiki)
BuildRequires: perl(Kwiki::Cache)
BuildRequires: perl(Spoon)
BuildArch: noarch

%description
Spork lets you create HTML slideshow presentations easily. It comes with a
sample slideshow. All you need is a text editor, a browser and a topic.

Spork allows you create an entire slideshow by editing a single file called
'Spork.slides' (by default). Each slide is created using a minimal markup
language similar to the syntax used in Kwiki wikis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_bindir}/spork
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.210.0-16.mga9
+ Revision: 1821783
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-15.mga8
+ Revision: 1506187
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-14.mga7
+ Revision: 1286053
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.210.0-13.mga7
+ Revision: 1166597
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.210.0-12.mga7
+ Revision: 1160358
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-11.mga6
+ Revision: 1033315
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.210.0-10.mga6
+ Revision: 949398
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-9.mga5
+ Revision: 789657
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-8.mga5
+ Revision: 747586
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 21 2014 shlomif <shlomif> 0.210.0-6.mga4
+ Revision: 567346
- Update the dependency on IO::All

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-5.mga4
+ Revision: 514703
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-4.mga3
+ Revision: 372686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 shlomif <shlomif> 0.210.0-3.mga2
+ Revision: 174961
- Add CGI to the BuildRequires: - it is required.
- Normalized the files section
- imported package perl-Spork


* Fri Nov 18 2011 cpan2dist 0.21-1mga
- initial mageia release, generated with cpan2dist
